<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="theme-color" content="#342345">
  <title> {% block title %} Assignment 3 of LAW_KEMAS {% endblock %}</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
  <link href='https://fonts.googleapis.com/css?family=Raleway:900|Raleway' rel='stylesheet'>
  <meta name="viewport" content="initial-scale=1.0, width=device-width" />
</head>

<body>
  <header>
  </header>
  <content>
    <section name="container" class="content">
    <h2>File Upload</h2>
    <form id="form" name="form" method="POST" action="{% url 'frontend:upload' %}" enctype="multipart/form-data">
      {% csrf_token %}
      {{ form.as_p }}
      <button type="submit">Submit</button>
    </form>
    {% if success %}
      {% if success == 'True' %}
        <p>Upload file success</p>
      {% elif success == 'False' %}
        <p>Upload file failed</p>
      {% endif %}
    {% endif %}
    <br>
    <h3>Compression Status:</h3>
    <br>
    <p id="status">no status</p>
  </content>
  <footer>
  </footer>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/sockjs-client/1.1.4/sockjs.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/stomp.js/2.3.3/stomp.min.js"></script>
  <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
  <script type = "text/javascript">
    WebSocketImplementation();
    function WebSocketImplementation() {
      if ("WebSocket" in window) {
        var routing_key = '{{ routingKey }}';
        var ws_stomp_display = new SockJS('http://152.118.148.95:15674/stomp');
        var client_display = Stomp.over(ws_stomp_display);
        var mq_queue_display = "/exchange/1606831035/" + routing_key;
        var on_connect_display = function() {
          console.log('connected');
          client_display.subscribe(mq_queue_display, on_message_display);
        };
        var on_error_display = function() {
          console.log('error');
        };
        var on_message_display = function(m) {
          console.log('message received');
          $('#status').html(m.body);
        };
        client_display.connect('0806444524', '0806444524', on_connect_display, on_error_display, '/0806444524');
      } else {
        alert("WebSocket NOT supported by your Browser!");
      }
    }
  </script>
</body>
